View Issue Details

IDProjectCategoryLast Update
0020425AI War 2[All Projects] Bug - GameplayOct 12, 2018 3:59 pm
ReporterKesselethAssigned To 
Severitymajor 
Status newResolutionopen 
Product Version0.778 I'm Talking To HIM, Not You! 
Fixed in Version 
Summary0020425: Major AI threat explosion
DescriptionI was just minding my own business, when I basically blinked and noticed 60 strength of AI on one planet. I then realized, to some surprise, that there was now 350 threat. I have no idea where it came from or why. There was no wormhole invasion as far as I know, there are no instigator bases, and I didn't do anything to my knowledge that caused this. There's an enormous - and I mean *enormous* - line of ships marching toward my planets. What exactly happened I'm not sure, but I am fairly confident it isn't supposed to happen. Saves below are from just before and a few minutes after. I'll update with more info if I find anything.
TagsNo tags attached.

Activities

Kesseleth

Oct 2, 2018 10:26 pm

reporter  

takingtoda.save (2,449,405 bytes)
wheresdatthreat.save (2,700,399 bytes)

Kesseleth

Oct 2, 2018 10:48 pm

reporter   ~0049724

A bit of snooping around implies that the AI was planning to send a wave that would join the threat fleet. This makes sense, as I cancelled lots of waves and the resultant wave was definitely going to be very big. The wave appears to be 42 in strength, but a previously known glitch that causes double waves resulted in 94 strength in total... and then another huge burst of strength appears seemingly from nowhere. Exactly what's happening I'm not sure but I believe it has at least some to do with my wave cancelling.

Ovalcircle

Oct 2, 2018 10:52 pm

reporter   ~0049725

To add to this, Kesseleth put the save on discord and I took some screenshots. 2 are the composition of the waves. The 3rd is right after the 1st wave launched.

20181002223823_1.jpg (290,174 bytes)
20181002224652_1.jpg (298,396 bytes)
20181002223826_1.jpg (275,518 bytes)

RocketAssistedPuffin

Oct 3, 2018 6:10 am

developer   ~0049729

Last edited: Oct 3, 2018 6:45 am

View 4 revisions

Of note as well is the fact Temperamentals should not be appearing in waves. They are now in "BasicWaveDisallowedGuardianDrawBag" which is only used by the Reinforcement Budget.

I have no idea why they're appearing...it's buying them from somewhere.

EDIT: I put Starships in the reinforcement set of allowed drawbags, and...well, kicked AIP up to around 290 and spammed waves at myself. Not a single Starship, Temperamental or Fragmenting at all. I go to an AI planet and there they are, as Guards exactly as intended...so no idea at all why he has those. It was something like 40 waves, with every Guardian possible included.

So far as I know, that's a one time fluke?

EDIT 2: He said he's been canceling waves almost all game - maybe the AI selected those early on, before the update removing them from waves hit, and they're still in that.

Kesseleth

Oct 3, 2018 10:44 am

reporter   ~0049738

Important note (I'm really, really sorry for not mentioning this earlier, as it completely escaped my mind): The save "TakingToda" is from before .777. In other words, those waves were initially launched before .777, so those guardians would still have been allowed to spawn at that time.

Perhaps the strength explosion is related to this as well? Guardians have higher strength now, so spawning that many would have been 42 strength before and a hell of a lot more now... maybe? If so this entire thing was a false alarm and I apologize for that.

x4000Bughunter

Oct 3, 2018 12:42 pm

administrator   ~0049743

Does the double-waves thing still happen? Was that fixed? If so, then let's tentatively close this but keep an eye out for it with waves that are generated after this point. If there are still double waves, then I need to fix that part, and then let's see.

BadgerBadger

Oct 3, 2018 1:08 pm

manager   ~0049744

I haven't done anything that might have fixed the double waves problem. I'm suspicious that it comes from cancelling waves somehow, since I've never seen it but the people who have hit the problem also are known to use wave cancelling as a strategy.

x4000Bughunter

Oct 3, 2018 1:22 pm

administrator   ~0049745

Okay, good to know.

RocketAssistedPuffin

Oct 9, 2018 12:59 pm

developer   ~0049823

Last edited: Oct 9, 2018 12:59 pm

View 2 revisions

Okay I have a save here, that has one normal wave and a reprisal. A log on budget tracing was started, then a second normal wave notification appears.

Wave warning is 10 minutes, but the wave at the top of the log says 15. I haven't seen a single 15 minute warning, so the wave is somehow "on the way" but not showing up on my screen.

 I also have not cancelled any waves at all.

This is just the default Quick Start option, the most basic one.

I had the double wave initially, then loaded the autosave, turned on tracing and got the wave again at almost the exact same time. Sadly, I have no earlier autosaves. From now on in that save I'll keep budget tracing active. I haven't sped it up either, all real time. Also, it's dev build.



BeforeDoubleWave.save (940,686 bytes)
ArcenDebugLog.txt (2,493 bytes)
10/9/2018 5:38:34 PM	AI Spending 115.5 on  SpecialForces at  3639 since we are over the spend threshold of 113
AI PerSecond trace ends
10/9/2018 5:39:03 PM	AI spending 3480.14086914063 on Wave at 3668. Next spend attempt at 4268Planning a wave with budget 3480 isReconquestWave: False targetFaction: default onlyAttackIfStrongEnough False
Sending wave at 4568 (interval 900 current time 3668) and gving 600 seconds of advanced warning
Finding target planet
Determine wave type
spawning a direct waveFinding wave composition
Selecting composition for wavePlanned wave: AI Wave with  29 MLRS Corvette squads (87 ships),  33 Raider squads (660 ships),  32 Spider squads (640 ships),  1 Heavy Beam Guardian squads (1 ships),  2 Nucleophilic Guardian squads (2 ships) spawning on Malin from warp gate on Bloch in 15m 0s advance warning to give 600. strength of wave 2233

AI PlanWave ends
10/9/2018 5:39:03 PM	
AI PerSecond trace ends
10/9/2018 5:39:05 PM	AI Spending 116.25 on  SpecialForces at  3670 since we are over the spend threshold of 113
AI PerSecond trace ends
10/9/2018 5:39:37 PM	AI Spending 116.25 on  SpecialForces at  3701 since we are over the spend threshold of 113
AI PerSecond trace ends
10/9/2018 5:40:08 PM	AI Spending 116.25 on  SpecialForces at  3732 since we are over the spend threshold of 113
AI PerSecond trace ends
10/9/2018 5:40:39 PM	AI Spending 116.25 on  SpecialForces at  3763 since we are over the spend threshold of 113
AI PerSecond trace ends
10/9/2018 5:41:10 PM	AI Spending 116.25 on  SpecialForces at  3794 since we are over the spend threshold of 113
AI PerSecond trace ends
10/9/2018 5:41:41 PM	AI Spending 116.25 on  SpecialForces at  3825 since we are over the spend threshold of 113
AI PerSecond trace ends
10/9/2018 5:42:12 PM	AI Spending 116.25 on  SpecialForces at  3856 since we are over the spend threshold of 113
AI PerSecond trace ends
10/9/2018 5:42:46 PM	AI Spending 116.25 on  SpecialForces at  3887 since we are over the spend threshold of 113
AI PerSecond trace ends
10/9/2018 5:43:17 PM	AI Spending 116.25 on  SpecialForces at  3918 since we are over the spend threshold of 113
AI PerSecond trace ends
10/9/2018 5:43:51 PM	AI Spending 116.25 on  SpecialForces at  3949 since we are over the spend threshold of 113
AI PerSecond trace ends
10/9/2018 5:44:22 PM	AI Spending 116.25 on  SpecialForces at  3980 since we are over the spend threshold of 113
AI PerSecond trace ends
10/9/2018 5:44:35 PM	PLAYER DISCONNECTED 0.0.0.0=>0
ArcenDebugLog.txt (2,493 bytes)
DoubleWaveSave.save (932,834 bytes)

BadgerBadger

Oct 9, 2018 3:28 pm

manager   ~0049824

If that BeforeDoubleWave save is a good reproduction scenario then I am very excited to actually be able to fix this damn problem.

RocketAssistedPuffin

Oct 9, 2018 3:40 pm

developer   ~0049825

Just tested it more, 5 out of 5, double wave every single time. So seems to be guaranteed.

It'll pop up in 5-6 minutes after loading. I've played that save over an hour further and have had nothing odd since.

RocketAssistedPuffin

Oct 9, 2018 4:11 pm

developer   ~0049826

Log between that pair of saves and where I currently am, plus the save that stops where I am, for completeness.

WaveTimingOddLog.txt (30,649 bytes)
10/9/2018 6:46:49 PM	Current directory used: D:/Arcen/AIWar2/
Process Count = 0 so PlayerDataDirectory used: D:/Arcen/AIWar2/PlayerData/
10/9/2018 6:46:49 PM	No resolution change was required.
10/9/2018 6:46:49 PM	Applied graphics settings: 
AntialiasingMode:x2
UseSoftParticles:False
BillboardsFaceCameraPosition:False
AnisotropicMode:ForceEnable
TextureQuality:Full
10/9/2018 6:46:49 PM	Applied Framerate Type: 60 FPS (vsync: 0 targetFPS:60)
10/9/2018 6:46:53 PM	ArcenAssetBundleCache.InstantiatedObjects: 768
10/9/2018 6:46:54 PM	Game Version: 0.781
graphicsDeviceType in use: OpenGLCore
graphicsDeviceVersion in use: OpenGL 4.5.0 NVIDIA 391.35
graphicsMultiThreaded: False
graphicsShaderLevel: 50
operatingSystem: Windows 8.1  (6.3.0) 64bit
graphicsDeviceName: GeForce GTX 750 Ti/PCIe/SSE2
graphicsDeviceID: 4992
graphicsDeviceVendor: NVIDIA Corporation
graphicsDeviceVendorID: 4318
graphicsDeviceVersion: OpenGL 4.5.0 NVIDIA 391.35
graphicsMemorySize: 1968
maxTextureSize: 16384
npotSupport: Full
processorType: Intel(R) Core(TM) i5-4460 CPU @ 3.20GHz
processorCount: 4
processorFrequency: 3193
systemMemorySize: 8144
supportsImageEffects: True
supportedRenderTargetCount: 8
supportsComputeShaders: True
supportsShadows: True
usesReversedZBuffer: False
10/9/2018 6:46:54 PM	6.1 seconds total load time.

SetDirectoriesToBeUsed (1.2s)
Calculate FInt Sqrt Arrays (0.3s)
LoadFinalSFXStuff (0.3s)
PlanetDefinitionTable (0.3s)
GameEntityTypeDataTable.InitVisualBits (1.6s)
SurrogateTableTable (0.4s)
10/9/2018 6:46:54 PM
Hello Steam user 'RocketAssistedPuffin'

  at System.Environment.get_StackTrace () [0x00000] in <f826c2584fc94ec19a48a6576640bdc5>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.DebugLogDestination Destination, System.Boolean IncludeStackTrace, Arcen.Universal.Verbosity Verbosity) [0x00000] in <c917f107388b4b92b011ef585a3b0bee>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.DebugLogDestination Destination, Arcen.Universal.Verbosity Verbosity) [0x00000] in <c917f107388b4b92b011ef585a3b0bee>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.Verbosity Verbosity) [0x00000] in <c917f107388b4b92b011ef585a3b0bee>:0 
  at ArcenGameController.Update () [0x00000] in <2e2dcd579b104a688d65707e5c206ad7>:0 

10/9/2018 6:48:32 PM	Successfully opened host socket
10/9/2018 6:50:43 PM	AI Spending 116.25 on  SpecialForces at  4011 since we are over the spend threshold of 113
AI PerSecond trace ends
10/9/2018 6:51:14 PM	AI Spending 116.25 on  SpecialForces at  4042 since we are over the spend threshold of 113
AI PerSecond trace ends
10/9/2018 6:51:45 PM	AI Spending 116.25 on  SpecialForces at  4073 since we are over the spend threshold of 113
AI PerSecond trace ends
10/9/2018 6:52:21 PM	AI Spending 116.25 on  SpecialForces at  4104 since we are over the spend threshold of 113
AI PerSecond trace ends
10/9/2018 6:52:52 PM	AI Spending 116.25 on  SpecialForces at  4135 since we are over the spend threshold of 113
AI PerSecond trace ends
10/9/2018 6:53:23 PM	AI Spending 116.25 on  SpecialForces at  4166 since we are over the spend threshold of 113
AI PerSecond trace ends
10/9/2018 6:54:16 PM	No resolution change was required.
10/9/2018 6:54:16 PM	Applied graphics settings: 
AntialiasingMode:x2
UseSoftParticles:False
BillboardsFaceCameraPosition:False
AnisotropicMode:ForceEnable
TextureQuality:Full
10/9/2018 6:54:16 PM	Applied Framerate Type: 60 FPS (vsync: 0 targetFPS:60)
10/9/2018 6:54:23 PM	AI Spending 116.25 on  SpecialForces at  4197 since we are over the spend threshold of 113
AI PerSecond trace ends
10/9/2018 6:54:54 PM	AI Spending 116.25 on  SpecialForces at  4228 since we are over the spend threshold of 113
AI PerSecond trace ends
10/9/2018 6:55:25 PM	AI Spending 116.25 on  SpecialForces at  4259 since we are over the spend threshold of 113
AI PerSecond trace ends
10/9/2018 6:55:35 PM	AI spending 3151.86938476563 on Wave at 4269. Next spend attempt at 4869Planning a wave with budget 3151 isReconquestWave: False targetFaction: default onlyAttackIfStrongEnough False
Sending wave at 5169 (interval 900 current time 4269) and gving 600 seconds of advanced warning
Finding target planet
Determine wave type
spawning a direct wave
Finding wave composition
Selecting composition for wavePlanned wave: AI Wave with  242 Raider squads (4840 ships) spawning on Malin from warp gate on Iger in 15m 0s advance warning to give 600. strength of wave 3146

AI PlanWave ends
10/9/2018 6:55:35 PM	
AI PerSecond trace ends
10/9/2018 6:55:56 PM	AI Spending 116.25 on  SpecialForces at  4290 since we are over the spend threshold of 113
AI PerSecond trace ends
10/9/2018 6:56:39 PM	AI Spending 116.25 on  SpecialForces at  4321 since we are over the spend threshold of 113
AI PerSecond trace ends
10/9/2018 6:57:44 PM	AI Spending 228.636962890625 on  Reinforcement at  4347 since we are over the spend threshold of 225
AI PerSecond trace ends
10/9/2018 6:57:49 PM	AI Spending 116.25 on  SpecialForces at  4352 since we are over the spend threshold of 113
AI PerSecond trace ends
10/9/2018 6:58:21 PM	AI Spending 116.25 on  SpecialForces at  4383 since we are over the spend threshold of 113
AI PerSecond trace ends
10/9/2018 6:58:52 PM	AI Spending 116.25 on  SpecialForces at  4414 since we are over the spend threshold of 113
AI PerSecond trace ends
10/9/2018 6:59:06 PM	AI Spending 229.050048828125 on  Reinforcement at  4428 since we are over the spend threshold of 225
AI PerSecond trace ends
10/9/2018 6:59:23 PM	AI Spending 116.25 on  SpecialForces at  4445 since we are over the spend threshold of 113
AI PerSecond trace ends
10/9/2018 7:00:03 PM	AI Spending 116.25 on  SpecialForces at  4476 since we are over the spend threshold of 113
AI PerSecond trace ends
10/9/2018 7:00:34 PM	AI Spending 116.25 on  SpecialForces at  4507 since we are over the spend threshold of 113
AI PerSecond trace ends
10/9/2018 7:00:35 PM	AI Spending 225.346923828125 on  Reinforcement at  4508 since we are over the spend threshold of 225
AI PerSecond trace ends
10/9/2018 7:01:05 PM	AI Spending 116.25 on  SpecialForces at  4538 since we are over the spend threshold of 113
AI PerSecond trace ends
10/9/2018 7:01:36 PM	AI Spending 116.25 on  SpecialForces at  4569 since we are over the spend threshold of 113
AI PerSecond trace ends
10/9/2018 7:01:56 PM	AI Spending 225.760009765625 on  Reinforcement at  4589 since we are over the spend threshold of 225
AI PerSecond trace ends
10/9/2018 7:02:07 PM	AI Spending 116.25 on  SpecialForces at  4600 since we are over the spend threshold of 113
AI PerSecond trace ends
10/9/2018 7:02:38 PM	AI Spending 116.25 on  SpecialForces at  4631 since we are over the spend threshold of 113
AI PerSecond trace ends
10/9/2018 7:03:09 PM	AI Spending 116.25 on  SpecialForces at  4662 since we are over the spend threshold of 113
AI PerSecond trace ends
10/9/2018 7:03:17 PM	AI Spending 226.173095703125 on  Reinforcement at  4670 since we are over the spend threshold of 225
AI PerSecond trace ends
10/9/2018 7:03:40 PM	AI Spending 116.25 on  SpecialForces at  4693 since we are over the spend threshold of 113
AI PerSecond trace ends
10/9/2018 7:04:11 PM	AI Spending 116.25 on  SpecialForces at  4724 since we are over the spend threshold of 113
AI PerSecond trace ends
10/9/2018 7:04:25 PM	Planning a wave with budget 471 isReconquestWave: False targetFaction: default onlyAttackIfStrongEnough False
Sending wave at 5638 (interval 900 current time 4738) and gving 600 seconds of advanced warning
Finding wave composition
Selecting composition for wavePlanned wave: AI Wave with  12 Spider squads (240 ships),  7 MLRS Corvette squads (21 ships),  8 Raider squads (160 ships),  7 Armor Ship squads (84 ships) to specific location right now (hacking wave) advance warning to give 600. strength of wave 471

AI PlanWave ends
10/9/2018 7:04:38 PM	AI Spending 226.586181640625 on  Reinforcement at  4751 since we are over the spend threshold of 225
AI PerSecond trace ends
10/9/2018 7:04:42 PM	AI Spending 116.25 on  SpecialForces at  4755 since we are over the spend threshold of 113
AI PerSecond trace ends
10/9/2018 7:04:55 PM	Planning a wave with budget 471 isReconquestWave: False targetFaction: default onlyAttackIfStrongEnough False
Sending wave at 5668 (interval 900 current time 4768) and gving 600 seconds of advanced warning
Finding wave composition
Selecting composition for wavePlanned wave: AI Wave with  5 MLRS Corvette squads (15 ships),  10 Armor Ship squads (120 ships),  8 Raider squads (160 ships),  8 Spider squads (160 ships) to specific location right now (hacking wave) advance warning to give 600. strength of wave 471

AI PlanWave ends
10/9/2018 7:05:13 PM	AI Spending 116.25 on  SpecialForces at  4786 since we are over the spend threshold of 113
AI PerSecond trace ends
10/9/2018 7:05:25 PM	Planning a wave with budget 471 isReconquestWave: False targetFaction: default onlyAttackIfStrongEnough False
Sending wave at 5698 (interval 900 current time 4798) and gving 600 seconds of advanced warning
Finding wave composition
Selecting composition for wavePlanned wave: AI Wave with  31 MLRS Corvette squads (93 ships) to specific location right now (hacking wave) advance warning to give 600. strength of wave 465

AI PlanWave ends
10/9/2018 7:05:44 PM	AI Spending 116.25 on  SpecialForces at  4817 since we are over the spend threshold of 113
AI PerSecond trace ends
10/9/2018 7:05:55 PM	Planning a wave with budget 471 isReconquestWave: False targetFaction: default onlyAttackIfStrongEnough False
Sending wave at 5728 (interval 900 current time 4828) and gving 600 seconds of advanced warning
Finding wave composition
Selecting composition for wavePlanned wave: AI Wave with  10 Armor Ship squads (120 ships),  7 Spider squads (140 ships),  9 MLRS Corvette squads (27 ships),  4 Raider squads (80 ships) to specific location right now (hacking wave) advance warning to give 600. strength of wave 470

AI PlanWave ends
10/9/2018 7:05:59 PM	AI Spending 226.999267578125 on  Reinforcement at  4832 since we are over the spend threshold of 225
AI PerSecond trace ends
10/9/2018 7:06:15 PM	AI Spending 116.25 on  SpecialForces at  4848 since we are over the spend threshold of 113
AI PerSecond trace ends
10/9/2018 7:06:25 PM	Planning a wave with budget 471 isReconquestWave: False targetFaction: default onlyAttackIfStrongEnough False
Sending wave at 5758 (interval 900 current time 4858) and gving 600 seconds of advanced warning
Finding wave composition
Selecting composition for wavePlanned wave: AI Wave with  11 Spider squads (220 ships),  4 MLRS Corvette squads (12 ships),  7 Raider squads (140 ships),  10 Armor Ship squads (120 ships) to specific location right now (hacking wave) advance warning to give 600. strength of wave 470

AI PlanWave ends
10/9/2018 7:06:37 PM	AI spending 3733.84790039063 on Wave at 4870. Next spend attempt at 5470Planning a wave with budget 3733 isReconquestWave: False targetFaction: default onlyAttackIfStrongEnough False
Sending wave at 5770 (interval 900 current time 4870) and gving 600 seconds of advanced warning
Finding target planet
Determine wave type
spawning a direct waveFinding wave composition
Selecting composition for wavePlanned wave: AI Wave with  22 Armor Ship squads (264 ships),  14 Spider squads (280 ships),  2 Tractor Guardian squads (2 ships),  27 Raider squads (540 ships),  14 MLRS Corvette squads (42 ships),  1 Fortified Tesla Guardian squads (1 ships) spawning on Ekrhi from warp gate on Bloch in 15m 0s advance warning to give 600. strength of wave 2289

AI PlanWave ends
10/9/2018 7:06:37 PM	
AI PerSecond trace ends
10/9/2018 7:06:46 PM	AI Spending 116.25 on  SpecialForces at  4879 since we are over the spend threshold of 113
AI PerSecond trace ends
10/9/2018 7:06:55 PM	Planning a wave with budget 471 isReconquestWave: False targetFaction: default onlyAttackIfStrongEnough False
Sending wave at 5788 (interval 900 current time 4888) and gving 600 seconds of advanced warning
Finding wave composition
Selecting composition for wavePlanned wave: AI Wave with  16 Raider squads (320 ships),  11 MLRS Corvette squads (33 ships),  10 Spider squads (200 ships) to specific location right now (hacking wave) advance warning to give 600. strength of wave 463

AI PlanWave ends
10/9/2018 7:07:15 PM	B
10/9/2018 7:07:17 PM	AI Spending 116.25 on  SpecialForces at  4910 since we are over the spend threshold of 113
AI PerSecond trace ends
10/9/2018 7:08:41 PM	AI Spending 116.25 on  SpecialForces at  4941 since we are over the spend threshold of 113
AI PerSecond trace ends
10/9/2018 7:09:12 PM	AI Spending 116.25 on  SpecialForces at  4972 since we are over the spend threshold of 113
AI PerSecond trace ends
10/9/2018 7:09:43 PM	AI Spending 116.25 on  SpecialForces at  5003 since we are over the spend threshold of 113
AI PerSecond trace ends
10/9/2018 7:12:16 PM	AI Spending 116.25 on  SpecialForces at  5034 since we are over the spend threshold of 113
AI PerSecond trace ends
10/9/2018 7:12:47 PM	AI Spending 116.25 on  SpecialForces at  5065 since we are over the spend threshold of 113
AI PerSecond trace ends
10/9/2018 7:13:18 PM	AI Spending 116.25 on  SpecialForces at  5096 since we are over the spend threshold of 113
AI PerSecond trace ends
10/9/2018 7:13:50 PM	AI Spending 116.25 on  SpecialForces at  5127 since we are over the spend threshold of 113
AI PerSecond trace ends
10/9/2018 7:15:34 PM	AI Spending 116.25 on  SpecialForces at  5158 since we are over the spend threshold of 113
AI PerSecond trace ends
10/9/2018 7:16:05 PM	AI Spending 116.25 on  SpecialForces at  5189 since we are over the spend threshold of 113
AI PerSecond trace ends
10/9/2018 7:16:36 PM	AI Spending 116.25 on  SpecialForces at  5220 since we are over the spend threshold of 113
AI PerSecond trace ends
10/9/2018 7:17:11 PM	AI Spending 116.25 on  SpecialForces at  5251 since we are over the spend threshold of 113
AI PerSecond trace ends
10/9/2018 7:17:42 PM	AI Spending 116.25 on  SpecialForces at  5282 since we are over the spend threshold of 113
AI PerSecond trace ends
10/9/2018 7:18:19 PM	AI Spending 116.25 on  SpecialForces at  5313 since we are over the spend threshold of 113
AI PerSecond trace ends
10/9/2018 7:19:03 PM	AI Spending 116.25 on  SpecialForces at  5344 since we are over the spend threshold of 113
AI PerSecond trace ends
10/9/2018 7:19:34 PM	AI Spending 116.25 on  SpecialForces at  5375 since we are over the spend threshold of 113
AI PerSecond trace ends
10/9/2018 7:20:05 PM	AI Spending 116.25 on  SpecialForces at  5406 since we are over the spend threshold of 113
AI PerSecond trace ends
10/9/2018 7:20:36 PM	AI Spending 116.25 on  SpecialForces at  5437 since we are over the spend threshold of 113
AI PerSecond trace ends
10/9/2018 7:21:07 PM	AI Spending 116.25 on  SpecialForces at  5468 since we are over the spend threshold of 113
AI PerSecond trace ends
10/9/2018 7:21:10 PM	AI spending 4547.57641601563 on Wave at 5471. Next spend attempt at 6071Planning a wave with budget 4547 isReconquestWave: False targetFaction: default onlyAttackIfStrongEnough False
Sending wave at 6371 (interval 900 current time 5471) and gving 600 seconds of advanced warning
Finding target planet
Determine wave type
spawning a direct waveFinding wave composition
Selecting composition for wavePlanned wave: AI Wave with  3 Gravity Guardian squads (3 ships),  2 Pike Guardian squads (2 ships),  25 Raider squads (500 ships) spawning on Dilawa from warp gate on Dunkels in 15m 0s advance warning to give 600. strength of wave 1652

AI PlanWave ends
10/9/2018 7:21:10 PM	
AI PerSecond trace ends
10/9/2018 7:21:38 PM	AI Spending 116.25 on  SpecialForces at  5499 since we are over the spend threshold of 113
AI PerSecond trace ends
10/9/2018 7:22:38 PM	AI Spending 116.25 on  SpecialForces at  5530 since we are over the spend threshold of 113
AI PerSecond trace ends
10/9/2018 7:23:21 PM	AI Spending 116.25 on  SpecialForces at  5561 since we are over the spend threshold of 113
AI PerSecond trace ends
10/9/2018 7:23:52 PM	AI Spending 116.25 on  SpecialForces at  5592 since we are over the spend threshold of 113
AI PerSecond trace ends
10/9/2018 7:25:17 PM	AI Spending 116.25 on  SpecialForces at  5623 since we are over the spend threshold of 113
AI PerSecond trace ends
10/9/2018 7:25:48 PM	AI Spending 116.25 on  SpecialForces at  5654 since we are over the spend threshold of 113
AI PerSecond trace ends
10/9/2018 7:26:19 PM	AI Spending 116.25 on  SpecialForces at  5685 since we are over the spend threshold of 113
AI PerSecond trace ends
10/9/2018 7:26:50 PM	AI Spending 116.25 on  SpecialForces at  5716 since we are over the spend threshold of 113
AI PerSecond trace ends
10/9/2018 7:27:21 PM	AI Spending 116.25 on  SpecialForces at  5747 since we are over the spend threshold of 113
AI PerSecond trace ends
10/9/2018 7:27:52 PM	AI Spending 116.25 on  SpecialForces at  5778 since we are over the spend threshold of 113
AI PerSecond trace ends
10/9/2018 7:28:23 PM	AI Spending 116.25 on  SpecialForces at  5809 since we are over the spend threshold of 113
AI PerSecond trace ends
10/9/2018 7:28:54 PM	AI Spending 116.25 on  SpecialForces at  5840 since we are over the spend threshold of 113
AI PerSecond trace ends
10/9/2018 7:29:42 PM	AI Spending 116.25 on  SpecialForces at  5871 since we are over the spend threshold of 113
AI PerSecond trace ends
10/9/2018 7:30:13 PM	AI Spending 116.25 on  SpecialForces at  5902 since we are over the spend threshold of 113
AI PerSecond trace ends
10/9/2018 7:30:25 PM	AI Spending 225.739501953125 on  Reinforcement at  5914 since we are over the spend threshold of 225
AI PerSecond trace ends
10/9/2018 7:30:51 PM	AI Spending 116.25 on  SpecialForces at  5933 since we are over the spend threshold of 113
AI PerSecond trace ends
10/9/2018 7:31:36 PM	AI Spending 116.25 on  SpecialForces at  5964 since we are over the spend threshold of 113
AI PerSecond trace ends
10/9/2018 7:32:07 PM	AI Spending 116.25 on  SpecialForces at  5995 since we are over the spend threshold of 113
AI PerSecond trace ends
10/9/2018 7:32:38 PM	AI Spending 116.25 on  SpecialForces at  6026 since we are over the spend threshold of 113
AI PerSecond trace ends
10/9/2018 7:33:09 PM	AI Spending 116.25 on  SpecialForces at  6057 since we are over the spend threshold of 113
AI PerSecond trace ends
10/9/2018 7:33:25 PM	AI spending 3152.30493164063 on Wave at 6072. Next spend attempt at 6672Planning a wave with budget 3152 isReconquestWave: False targetFaction: default onlyAttackIfStrongEnough False
Sending wave at 6972 (interval 900 current time 6072) and gving 600 seconds of advanced warning
Finding target planet
Determine wave type
spawning a direct waveFinding wave composition
Selecting composition for wavePlanned wave: AI Wave with  1 Vampire Guardian squads (1 ships),  1 Concussion Guardian squads (1 ships),  1 Nucleophilic Guardian squads (1 ships),  17 Spider squads (340 ships),  16 Raider squads (320 ships),  9 MLRS Corvette squads (27 ships) spawning on Malin from warp gate on Harmony in 15m 0s advance warning to give 600. strength of wave 1436

AI PlanWave ends
10/9/2018 7:33:25 PM	
AI PerSecond trace ends
10/9/2018 7:33:57 PM	AI Spending 116.25 on  SpecialForces at  6088 since we are over the spend threshold of 113
AI PerSecond trace ends
10/9/2018 7:34:28 PM	AI Spending 116.25 on  SpecialForces at  6119 since we are over the spend threshold of 113
AI PerSecond trace ends
10/9/2018 7:34:59 PM	AI Spending 116.25 on  SpecialForces at  6150 since we are over the spend threshold of 113
AI PerSecond trace ends
10/9/2018 7:35:30 PM	AI Spending 116.25 on  SpecialForces at  6181 since we are over the spend threshold of 113
AI PerSecond trace ends
10/9/2018 7:36:01 PM	AI Spending 116.25 on  SpecialForces at  6212 since we are over the spend threshold of 113
AI PerSecond trace ends
10/9/2018 7:36:32 PM	AI Spending 116.25 on  SpecialForces at  6243 since we are over the spend threshold of 113
AI PerSecond trace ends
10/9/2018 7:37:03 PM	AI Spending 116.25 on  SpecialForces at  6274 since we are over the spend threshold of 113
AI PerSecond trace ends
10/9/2018 7:37:38 PM	AI Spending 116.25 on  SpecialForces at  6305 since we are over the spend threshold of 113
AI PerSecond trace ends
10/9/2018 7:38:09 PM	AI Spending 116.25 on  SpecialForces at  6336 since we are over the spend threshold of 113
AI PerSecond trace ends
10/9/2018 7:38:44 PM	AI Spending 162.75 on  SpecialForces at  6371 since we are over the spend threshold of 158
AI PerSecond trace ends
10/9/2018 7:39:15 PM	AI Spending 162.75 on  SpecialForces at  6402 since we are over the spend threshold of 158
AI PerSecond trace ends
10/9/2018 7:39:46 PM	AI Spending 162.75 on  SpecialForces at  6433 since we are over the spend threshold of 158
AI PerSecond trace ends
10/9/2018 7:40:17 PM	AI Spending 162.75 on  SpecialForces at  6464 since we are over the spend threshold of 158
AI PerSecond trace ends
10/9/2018 7:40:48 PM	AI Spending 162.75 on  SpecialForces at  6495 since we are over the spend threshold of 158
AI PerSecond trace ends
10/9/2018 7:41:19 PM	AI Spending 162.75 on  SpecialForces at  6526 since we are over the spend threshold of 158
AI PerSecond trace ends
10/9/2018 7:41:50 PM	AI Spending 162.75 on  SpecialForces at  6557 since we are over the spend threshold of 158
AI PerSecond trace ends
10/9/2018 7:42:21 PM	AI Spending 162.75 on  SpecialForces at  6588 since we are over the spend threshold of 158
AI PerSecond trace ends
10/9/2018 7:42:52 PM	AI Spending 162.75 on  SpecialForces at  6619 since we are over the spend threshold of 158
AI PerSecond trace ends
10/9/2018 7:43:23 PM	AI Spending 162.75 on  SpecialForces at  6650 since we are over the spend threshold of 158
AI PerSecond trace ends
10/9/2018 7:43:46 PM	AI spending 3685.50390625 on Wave at 6673. Next spend attempt at 7273Planning a wave with budget 3685 isReconquestWave: False targetFaction: default onlyAttackIfStrongEnough False
Sending wave at 7692 (interval 1019 current time 6673) and gving 600 seconds of advanced warning
Finding target planet
Determine wave type
spawning a direct waveFinding wave composition
Selecting composition for wavePlanned wave: AI Wave with  3 Pike Guardian squads (3 ships),  36 MLRS Corvette squads (108 ships),  1 Tritium Sniper Guardian squads (1 ships) spawning on Mote from warp gate on Covenant in 16m 59s advance warning to give 600. strength of wave 1554

AI PlanWave ends
10/9/2018 7:43:46 PM	
AI PerSecond trace ends
10/9/2018 7:43:54 PM	AI Spending 162.75 on  SpecialForces at  6681 since we are over the spend threshold of 158
AI PerSecond trace ends
10/9/2018 7:44:25 PM	AI Spending 162.75 on  SpecialForces at  6712 since we are over the spend threshold of 158
AI PerSecond trace ends
10/9/2018 7:44:56 PM	AI Spending 162.75 on  SpecialForces at  6743 since we are over the spend threshold of 158
AI PerSecond trace ends
10/9/2018 7:45:27 PM	AI Spending 162.75 on  SpecialForces at  6774 since we are over the spend threshold of 158
AI PerSecond trace ends
10/9/2018 7:45:58 PM	AI Spending 162.75 on  SpecialForces at  6805 since we are over the spend threshold of 158
AI PerSecond trace ends
10/9/2018 7:46:29 PM	AI Spending 162.75 on  SpecialForces at  6836 since we are over the spend threshold of 158
AI PerSecond trace ends
10/9/2018 7:47:00 PM	AI Spending 162.75 on  SpecialForces at  6867 since we are over the spend threshold of 158
AI PerSecond trace ends
10/9/2018 7:47:31 PM	AI Spending 162.75 on  SpecialForces at  6898 since we are over the spend threshold of 158
AI PerSecond trace ends
10/9/2018 7:48:02 PM	AI Spending 162.75 on  SpecialForces at  6929 since we are over the spend threshold of 158
AI PerSecond trace ends
10/9/2018 7:48:34 PM	AI Spending 162.75 on  SpecialForces at  6960 since we are over the spend threshold of 158
AI PerSecond trace ends
10/9/2018 7:49:05 PM	AI Spending 162.75 on  SpecialForces at  6991 since we are over the spend threshold of 158
AI PerSecond trace ends
10/9/2018 7:49:36 PM	AI Spending 162.75 on  SpecialForces at  7022 since we are over the spend threshold of 158
AI PerSecond trace ends
10/9/2018 7:50:07 PM	AI Spending 162.75 on  SpecialForces at  7053 since we are over the spend threshold of 158
AI PerSecond trace ends
10/9/2018 7:50:38 PM	AI Spending 162.75 on  SpecialForces at  7084 since we are over the spend threshold of 158
AI PerSecond trace ends
10/9/2018 7:51:09 PM	AI Spending 162.75 on  SpecialForces at  7115 since we are over the spend threshold of 158
AI PerSecond trace ends
10/9/2018 7:51:40 PM	AI Spending 162.75 on  SpecialForces at  7146 since we are over the spend threshold of 158
AI PerSecond trace ends
10/9/2018 7:52:11 PM	AI Spending 162.75 on  SpecialForces at  7177 since we are over the spend threshold of 158
AI PerSecond trace ends
10/9/2018 7:52:36 PM	AI spending 13574.0141601563 on CPA at 7202. Next spend attempt at 14402
AI PerSecond trace ends
10/9/2018 7:52:42 PM	AI Spending 162.75 on  SpecialForces at  7208 since we are over the spend threshold of 158
AI PerSecond trace ends
10/9/2018 7:53:13 PM	AI Spending 162.75 on  SpecialForces at  7239 since we are over the spend threshold of 158
AI PerSecond trace ends
10/9/2018 7:53:44 PM	AI Spending 162.75 on  SpecialForces at  7270 since we are over the spend threshold of 158
AI PerSecond trace ends
10/9/2018 7:53:48 PM	AI spending 4144.85083007813 on Wave at 7274. Next spend attempt at 7874Planning a wave with budget 4144 isReconquestWave: False targetFaction: default onlyAttackIfStrongEnough False
Sending wave at 8293 (interval 1019 current time 7274) and gving 600 seconds of advanced warning
Finding target planet
Determine wave type
spawning a direct waveFinding wave composition
Selecting composition for wavePlanned wave: AI Wave with  14 Raider squads (280 ships),  3 Tritium Sniper Guardian squads (3 ships),  22 Spider squads (440 ships),  25 MLRS Corvette squads (75 ships),  2 Grenade Launcher Guardian squads (2 ships),  27 Armor Ship squads (324 ships) spawning on Malin from warp gate on Abyormen in 16m 59s advance warning to give 600. strength of wave 2514

AI PlanWave ends
10/9/2018 7:53:48 PM	
AI PerSecond trace ends
10/9/2018 7:54:15 PM	AI Spending 162.75 on  SpecialForces at  7301 since we are over the spend threshold of 158
AI PerSecond trace ends
10/9/2018 7:54:46 PM	AI Spending 162.75 on  SpecialForces at  7332 since we are over the spend threshold of 158
AI PerSecond trace ends
10/9/2018 7:55:17 PM	AI Spending 162.75 on  SpecialForces at  7363 since we are over the spend threshold of 158
AI PerSecond trace ends
10/9/2018 7:55:48 PM	AI Spending 162.75 on  SpecialForces at  7394 since we are over the spend threshold of 158
AI PerSecond trace ends
10/9/2018 7:56:19 PM	AI Spending 162.75 on  SpecialForces at  7425 since we are over the spend threshold of 158
AI PerSecond trace ends
10/9/2018 7:56:50 PM	AI Spending 162.75 on  SpecialForces at  7456 since we are over the spend threshold of 158
AI PerSecond trace ends
10/9/2018 7:57:21 PM	AI Spending 162.75 on  SpecialForces at  7487 since we are over the spend threshold of 158
AI PerSecond trace ends
10/9/2018 7:58:55 PM	AI Spending 162.75 on  SpecialForces at  7518 since we are over the spend threshold of 158
AI PerSecond trace ends
10/9/2018 7:59:26 PM	AI Spending 162.75 on  SpecialForces at  7549 since we are over the spend threshold of 158
AI PerSecond trace ends
10/9/2018 7:59:58 PM	AI Spending 162.75 on  SpecialForces at  7580 since we are over the spend threshold of 158
AI PerSecond trace ends
10/9/2018 8:00:29 PM	AI Spending 162.75 on  SpecialForces at  7611 since we are over the spend threshold of 158
AI PerSecond trace ends
10/9/2018 8:01:35 PM	PLAYER DISCONNECTED 0.0.0.0=>0
10/9/2018 8:35:45 PM	Current directory used: D:/Arcen/AIWar2/
Process Count = 0 so PlayerDataDirectory used: D:/Arcen/AIWar2/PlayerData/
10/9/2018 8:35:45 PM	No resolution change was required.
10/9/2018 8:35:45 PM	Applied graphics settings: 
AntialiasingMode:x2
UseSoftParticles:False
BillboardsFaceCameraPosition:False
AnisotropicMode:ForceEnable
TextureQuality:Full
10/9/2018 8:35:45 PM	Applied Framerate Type: 60 FPS (vsync: 0 targetFPS:60)
10/9/2018 8:35:50 PM	ArcenAssetBundleCache.InstantiatedObjects: 768
10/9/2018 8:35:50 PM	Game Version: 0.781
graphicsDeviceType in use: OpenGLCore
graphicsDeviceVersion in use: OpenGL 4.5.0 NVIDIA 391.35
graphicsMultiThreaded: False
graphicsShaderLevel: 50
operatingSystem: Windows 8.1  (6.3.0) 64bit
graphicsDeviceName: GeForce GTX 750 Ti/PCIe/SSE2
graphicsDeviceID: 4992
graphicsDeviceVendor: NVIDIA Corporation
graphicsDeviceVendorID: 4318
graphicsDeviceVersion: OpenGL 4.5.0 NVIDIA 391.35
graphicsMemorySize: 1968
maxTextureSize: 16384
npotSupport: Full
processorType: Intel(R) Core(TM) i5-4460 CPU @ 3.20GHz
processorCount: 4
processorFrequency: 3193
systemMemorySize: 8144
supportsImageEffects: True
supportedRenderTargetCount: 8
supportsComputeShaders: True
supportsShadows: True
usesReversedZBuffer: False
10/9/2018 8:35:50 PM	6.4 seconds total load time.

SetDirectoriesToBeUsed (1.2s)
Calculate FInt Sqrt Arrays (0.3s)
LoadFinalSFXStuff (0.3s)
PlanetDefinitionTable (0.3s)
GameEntityTypeDataTable.InitVisualBits (1.8s)
SurrogateTableTable (0.5s)
10/9/2018 8:35:50 PM
Hello Steam user 'RocketAssistedPuffin'

  at System.Environment.get_StackTrace () [0x00000] in <f826c2584fc94ec19a48a6576640bdc5>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.DebugLogDestination Destination, System.Boolean IncludeStackTrace, Arcen.Universal.Verbosity Verbosity) [0x00000] in <c917f107388b4b92b011ef585a3b0bee>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.DebugLogDestination Destination, Arcen.Universal.Verbosity Verbosity) [0x00000] in <c917f107388b4b92b011ef585a3b0bee>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.Verbosity Verbosity) [0x00000] in <c917f107388b4b92b011ef585a3b0bee>:0 
  at ArcenGameController.Update () [0x00000] in <2e2dcd579b104a688d65707e5c206ad7>:0 

10/9/2018 8:36:24 PM	Successfully opened host socket
10/9/2018 8:36:49 PM	PLAYER DISCONNECTED 0.0.0.0=>0
10/9/2018 8:36:49 PM	Successfully opened host socket
10/9/2018 8:37:18 PM	PLAYER DISCONNECTED 0.0.0.0=>0
10/9/2018 8:37:18 PM	Successfully opened host socket
10/9/2018 8:37:48 PM	PLAYER DISCONNECTED 0.0.0.0=>0
WaveTimingOddLog.txt (30,649 bytes)
Save Four.save (1,276,661 bytes)

BadgerBadger

Oct 10, 2018 9:33 am

manager   ~0049833

Last edited: Oct 10, 2018 9:46 am

View 3 revisions

Loading the "Before Double Wave" save and running it for 20 minutes fails to give me double waves. I tried it twice.

When I load I consistently get a Reprisal wave after 2 or 3 minutes, then a brand new wave at about 4-5 minutes, but no double entries.

Can you still reproduce it? If so I'll give you some logging to use. Unfortunately you can't load it noramlly, you need to , you have to hack the Faction Object's deserialization code a bit like this (in Faction.cs)
Fine the line that says
                 result.SecondsSinceBrownout = Buffer.ReadInt32();
Then change the if condition above to read

            if ( Buffer.FromGameVersion.GetGreaterThanOrEqualTo( 0, 782 ) )^M
instead of
- if ( Buffer.FromGameVersion.GetGreaterThanOrEqualTo( 0, 781 ) )
So just change that 1 to a 2. Note that this will break all other save games from this release, so it's a testing only change

RocketAssistedPuffin

Oct 10, 2018 9:49 am

developer   ~0049834

Sigh...thought that was what was necessary. Since a wave is declared every 10 minutes, and has a warning of 10 minutes...seemed to be it, but...guess I was wrong.

The Reprisal is already active in that save, it doesn't show up immediately after loading though.

I'll continue.

BadgerBadger

Oct 10, 2018 9:56 am

manager   ~0049835

I'm frustrated that you managed to reproduce it 5/5 times loading from that save, but I can't

RocketAssistedPuffin

Oct 10, 2018 10:22 am

developer   ~0049836

Last edited: Oct 10, 2018 10:23 am

View 2 revisions

Well...another budget tracing log and it's kinda the same.

Picture of the waves...I feel like that's what you're seeing. I don't recall ever getting two waves at once, especially since...well:

AI Declares wave, 10 minute warning, declares next wave in 10 minutes
Wave arrives, declares new one, 10 minute warning

And so on. There's nothing in that save to interrupt or boost that, so I don't know how it has two. That's why I put it up here, but no, it's not two waves declared simultaneously.

The intervals and advance warning numbers are different again, incidentally. There is a slight delay after a wave spawns before it declares another.



ArcenDebugLog-2.txt (8,972 bytes)
10/10/2018 3:08:21 PM	Current directory used: D:/Arcen/AIWar2/
Process Count = 0 so PlayerDataDirectory used: D:/Arcen/AIWar2/PlayerData/
10/10/2018 3:08:22 PM	No resolution change was required.
10/10/2018 3:08:22 PM	Applied graphics settings: 
AntialiasingMode:x2
UseSoftParticles:False
BillboardsFaceCameraPosition:False
AnisotropicMode:ForceEnable
TextureQuality:Full
10/10/2018 3:08:22 PM	Applied Framerate Type: 60 FPS (vsync: 0 targetFPS:60)
10/10/2018 3:08:47 PM	ArcenAssetBundleCache.InstantiatedObjects: 768
10/10/2018 3:08:48 PM	Game Version: 0.781
graphicsDeviceType in use: OpenGLCore
graphicsDeviceVersion in use: OpenGL 4.5.0 NVIDIA 391.35
graphicsMultiThreaded: False
graphicsShaderLevel: 50
operatingSystem: Windows 8.1  (6.3.0) 64bit
graphicsDeviceName: GeForce GTX 750 Ti/PCIe/SSE2
graphicsDeviceID: 4992
graphicsDeviceVendor: NVIDIA Corporation
graphicsDeviceVendorID: 4318
graphicsDeviceVersion: OpenGL 4.5.0 NVIDIA 391.35
graphicsMemorySize: 1968
maxTextureSize: 16384
npotSupport: Full
processorType: Intel(R) Core(TM) i5-4460 CPU @ 3.20GHz
processorCount: 4
processorFrequency: 3193
systemMemorySize: 8144
supportsImageEffects: True
supportedRenderTargetCount: 8
supportsComputeShaders: True
supportsShadows: True
usesReversedZBuffer: False
10/10/2018 3:08:48 PM	28.9 seconds total load time.

SetDirectoriesToBeUsed (1.2s)
Calculate FInt Sqrt Arrays (0.4s)
LoadFinalSFXStuff (0.5s)
ExternalIconDictionaryTable (0.8s)
ArcenUIPrefabTable (3.6s)
ArcenUI.Instance.InitializeOnceOnly (0.3s)
InputActionTypeDataTable (0.3s)
PresentationLayer.LoadVisualConstants_Late (0.4s)
SpaceboxDefinitionTable (1.4s)
PlanetDefinitionTable (2.4s)
GameEntityTypeDataTable.Initialize (2.7s)
GameEntityTypeDataTable.InitVisualBits (11.2s)
SurrogateTableTable (0.8s)
10/10/2018 3:08:49 PM
Hello Steam user 'RocketAssistedPuffin'

  at System.Environment.get_StackTrace () [0x00000] in <f826c2584fc94ec19a48a6576640bdc5>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.DebugLogDestination Destination, System.Boolean IncludeStackTrace, Arcen.Universal.Verbosity Verbosity) [0x00000] in <55460706e175437698ec5060e6a801be>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.DebugLogDestination Destination, Arcen.Universal.Verbosity Verbosity) [0x00000] in <55460706e175437698ec5060e6a801be>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.Verbosity Verbosity) [0x00000] in <55460706e175437698ec5060e6a801be>:0 
  at ArcenGameController.Update () [0x00000] in <2e2dcd579b104a688d65707e5c206ad7>:0 

10/10/2018 3:08:53 PM	Successfully opened host socket
10/10/2018 3:09:18 PM	AI Spending 69.75 on  SpecialForces at  3630 since we are over the spend threshold of 68
AI PerSecond trace ends
10/10/2018 3:09:24 PM	AI Spending 69.75 on  SpecialForces at  3661 since we are over the spend threshold of 68
AI PerSecond trace ends
10/10/2018 3:09:25 PM	AI spending 3523.14868164063 on Wave at 3668. Next spend attempt at 4268Planning a wave with budget 3523 isReconquestWave: False targetFaction: default onlyAttackIfStrongEnough False
Sending wave at 4447 (interval 779 current time 3668) and gving 569 seconds of advanced warning
Finding target planet
Determine wave type
spawning a direct waveFinding wave composition
Selecting composition for wavePlanned wave: AI Wave with  25 Spider squads (500 ships),  1 Paralysis Guardian squads (1 ships),  2 Heavy Beam Guardian squads (2 ships),  28 MLRS Corvette squads (84 ships) spawning on Mote from warp gate on Covenant in 12m 59s advance warning to give 569. strength of wave 1722

AI PlanWave ends
10/10/2018 3:09:25 PM	
AI PerSecond trace ends
10/10/2018 3:09:29 PM	AI Spending 69.75 on  SpecialForces at  3692 since we are over the spend threshold of 68
AI PerSecond trace ends
10/10/2018 3:09:34 PM	AI Spending 69.75 on  SpecialForces at  3723 since we are over the spend threshold of 68
AI PerSecond trace ends
10/10/2018 3:09:39 PM	AI Spending 69.75 on  SpecialForces at  3754 since we are over the spend threshold of 68
AI PerSecond trace ends
10/10/2018 3:09:44 PM	AI Spending 69.75 on  SpecialForces at  3785 since we are over the spend threshold of 68
AI PerSecond trace ends
10/10/2018 3:09:49 PM	AI Spending 69.75 on  SpecialForces at  3816 since we are over the spend threshold of 68
AI PerSecond trace ends
10/10/2018 3:09:55 PM	AI Spending 69.75 on  SpecialForces at  3847 since we are over the spend threshold of 68
AI PerSecond trace ends
10/10/2018 3:10:00 PM	AI Spending 69.75 on  SpecialForces at  3878 since we are over the spend threshold of 68
AI PerSecond trace ends
10/10/2018 3:10:19 PM	AI Spending 69.75 on  SpecialForces at  3909 since we are over the spend threshold of 68
AI PerSecond trace ends
10/10/2018 3:10:24 PM	AI Spending 69.75 on  SpecialForces at  3940 since we are over the spend threshold of 68
AI PerSecond trace ends
10/10/2018 3:11:14 PM	AI Spending 69.75 on  SpecialForces at  3971 since we are over the spend threshold of 68
AI PerSecond trace ends
10/10/2018 3:11:17 PM	AI Spending 69.75 on  SpecialForces at  4002 since we are over the spend threshold of 68
AI PerSecond trace ends
10/10/2018 3:11:20 PM	AI Spending 69.75 on  SpecialForces at  4033 since we are over the spend threshold of 68
AI PerSecond trace ends
10/10/2018 3:11:23 PM	AI Spending 69.75 on  SpecialForces at  4064 since we are over the spend threshold of 68
AI PerSecond trace ends
10/10/2018 3:11:27 PM	AI Spending 69.75 on  SpecialForces at  4095 since we are over the spend threshold of 68
AI PerSecond trace ends
10/10/2018 3:11:30 PM	AI Spending 69.75 on  SpecialForces at  4126 since we are over the spend threshold of 68
AI PerSecond trace ends
10/10/2018 3:11:33 PM	AI Spending 69.75 on  SpecialForces at  4157 since we are over the spend threshold of 68
AI PerSecond trace ends
10/10/2018 3:11:36 PM	AI Spending 69.75 on  SpecialForces at  4188 since we are over the spend threshold of 68
AI PerSecond trace ends
10/10/2018 3:11:39 PM	AI Spending 69.75 on  SpecialForces at  4219 since we are over the spend threshold of 68
AI PerSecond trace ends
10/10/2018 3:11:42 PM	AI Spending 69.75 on  SpecialForces at  4250 since we are over the spend threshold of 68
AI PerSecond trace ends
10/10/2018 3:11:44 PM	AI spending 3356.43579101563 on Wave at 4269. Next spend attempt at 4869Planning a wave with budget 3356 isReconquestWave: False targetFaction: default onlyAttackIfStrongEnough False
Sending wave at 5048 (interval 779 current time 4269) and gving 569 seconds of advanced warning
Finding target planet
Determine wave type
spawning a direct wave
Finding wave composition
Selecting composition for wavePlanned wave: AI Wave with  102 Armor Ship squads (1224 ships),  123 Spider squads (2460 ships) spawning on Ekrhi from warp gate on Harmony in 12m 59s advance warning to give 569. strength of wave 3351

AI PlanWave ends
10/10/2018 3:11:44 PM	
AI PerSecond trace ends
10/10/2018 3:11:45 PM	AI Spending 69.75 on  SpecialForces at  4281 since we are over the spend threshold of 68
AI PerSecond trace ends
10/10/2018 3:11:48 PM	AI Spending 69.75 on  SpecialForces at  4312 since we are over the spend threshold of 68
AI PerSecond trace ends
10/10/2018 3:11:51 PM	AI Spending 69.75 on  SpecialForces at  4343 since we are over the spend threshold of 68
AI PerSecond trace ends
10/10/2018 3:11:54 PM	AI Spending 69.75 on  SpecialForces at  4374 since we are over the spend threshold of 68
AI PerSecond trace ends
10/10/2018 3:11:58 PM	AI Spending 69.75 on  SpecialForces at  4405 since we are over the spend threshold of 68
AI PerSecond trace ends
10/10/2018 3:12:01 PM	AI Spending 69.75 on  SpecialForces at  4436 since we are over the spend threshold of 68
AI PerSecond trace ends
10/10/2018 3:12:04 PM	AI Spending 69.75 on  SpecialForces at  4467 since we are over the spend threshold of 68
AI PerSecond trace ends
10/10/2018 3:12:07 PM	AI Spending 69.75 on  SpecialForces at  4498 since we are over the spend threshold of 68
AI PerSecond trace ends
10/10/2018 3:12:10 PM	AI Spending 69.75 on  SpecialForces at  4529 since we are over the spend threshold of 68
AI PerSecond trace ends
10/10/2018 3:12:13 PM	AI Spending 69.75 on  SpecialForces at  4560 since we are over the spend threshold of 68
AI PerSecond trace ends
10/10/2018 3:12:16 PM	AI Spending 69.75 on  SpecialForces at  4591 since we are over the spend threshold of 68
AI PerSecond trace ends
10/10/2018 3:12:19 PM	AI Spending 69.75 on  SpecialForces at  4622 since we are over the spend threshold of 68
AI PerSecond trace ends
10/10/2018 3:12:22 PM	AI Spending 69.75 on  SpecialForces at  4653 since we are over the spend threshold of 68
AI PerSecond trace ends
10/10/2018 3:12:26 PM	AI Spending 69.75 on  SpecialForces at  4684 since we are over the spend threshold of 68
AI PerSecond trace ends
10/10/2018 3:12:27 PM	PLAYER DISCONNECTED 0.0.0.0=>0
ArcenDebugLog-2.txt (8,972 bytes)
Waves.jpg (17,372 bytes)
Waves.jpg (17,372 bytes)

BadgerBadger

Oct 10, 2018 10:24 am

manager   ~0049837

Oh, I thought you were actually hitting HeartHunter's bug where he got 2 waves declared simultaneously

RocketAssistedPuffin

Oct 10, 2018 10:38 am

developer   ~0049838

Seemed close enough :/. Some oddities anyway. Maybe it's the same thing but wave canceling forces it to align...I'd have to try that style with tracing on, plus whatever extra logging you put in.

RocketAssistedPuffin

Oct 12, 2018 3:59 pm

developer   ~0049890

Putting this here for completion like before. Contains a save with the double wave, autosaves that reproduce it, and two logs that captured it.

DoubleWaveSameTime.zip (602,385 bytes)

Issue History

Date Modified Username Field Change
Oct 2, 2018 10:26 pm Kesseleth New Issue
Oct 2, 2018 10:26 pm Kesseleth File Added: takingtoda.save
Oct 2, 2018 10:26 pm Kesseleth File Added: wheresdatthreat.save
Oct 2, 2018 10:48 pm Kesseleth Note Added: 0049724
Oct 2, 2018 10:52 pm Ovalcircle File Added: 20181002224652_1.jpg
Oct 2, 2018 10:52 pm Ovalcircle File Added: 20181002223823_1.jpg
Oct 2, 2018 10:52 pm Ovalcircle File Added: 20181002223826_1.jpg
Oct 2, 2018 10:52 pm Ovalcircle Note Added: 0049725
Oct 3, 2018 6:10 am RocketAssistedPuffin Note Added: 0049729
Oct 3, 2018 6:42 am RocketAssistedPuffin Note Edited: 0049729 View Revisions
Oct 3, 2018 6:43 am RocketAssistedPuffin Note Edited: 0049729 View Revisions
Oct 3, 2018 6:45 am RocketAssistedPuffin Note Edited: 0049729 View Revisions
Oct 3, 2018 10:44 am Kesseleth Note Added: 0049738
Oct 3, 2018 12:42 pm x4000Bughunter Note Added: 0049743
Oct 3, 2018 1:08 pm BadgerBadger Note Added: 0049744
Oct 3, 2018 1:22 pm x4000Bughunter Note Added: 0049745
Oct 9, 2018 12:59 pm RocketAssistedPuffin File Added: BeforeDoubleWave.save
Oct 9, 2018 12:59 pm RocketAssistedPuffin File Added: DoubleWaveSave.save
Oct 9, 2018 12:59 pm RocketAssistedPuffin File Added: ArcenDebugLog.txt
Oct 9, 2018 12:59 pm RocketAssistedPuffin Note Added: 0049823
Oct 9, 2018 12:59 pm RocketAssistedPuffin Note Edited: 0049823 View Revisions
Oct 9, 2018 3:28 pm BadgerBadger Note Added: 0049824
Oct 9, 2018 3:40 pm RocketAssistedPuffin Note Added: 0049825
Oct 9, 2018 4:11 pm RocketAssistedPuffin File Added: WaveTimingOddLog.txt
Oct 9, 2018 4:11 pm RocketAssistedPuffin File Added: Save Four.save
Oct 9, 2018 4:11 pm RocketAssistedPuffin Note Added: 0049826
Oct 10, 2018 9:33 am BadgerBadger Note Added: 0049833
Oct 10, 2018 9:38 am BadgerBadger Note Edited: 0049833 View Revisions
Oct 10, 2018 9:46 am BadgerBadger Note Edited: 0049833 View Revisions
Oct 10, 2018 9:49 am RocketAssistedPuffin Note Added: 0049834
Oct 10, 2018 9:56 am BadgerBadger Note Added: 0049835
Oct 10, 2018 10:22 am RocketAssistedPuffin File Added: ArcenDebugLog-2.txt
Oct 10, 2018 10:22 am RocketAssistedPuffin File Added: Waves.jpg
Oct 10, 2018 10:22 am RocketAssistedPuffin Note Added: 0049836
Oct 10, 2018 10:23 am RocketAssistedPuffin Note Edited: 0049836 View Revisions
Oct 10, 2018 10:24 am BadgerBadger Note Added: 0049837
Oct 10, 2018 10:38 am RocketAssistedPuffin Note Added: 0049838
Oct 12, 2018 3:59 pm RocketAssistedPuffin File Added: DoubleWaveSameTime.zip
Oct 12, 2018 3:59 pm RocketAssistedPuffin Note Added: 0049890